#ifndef EVALUATE_H
#define EVALUATE_H

#include "game.h"

/* When the evaluation function detects that there is less than this amount */
/*  of material present, it will perform an endgame evaluation */
/* The quiescence search will not perform a null move in these cases */
#define ENDGAME_MATERIAL   (4*500 + 10*100 + 2*300)

extern int evaluate_count;

extern inline int evaluate(GAMESTATE *game);

#endif
