#ifndef HASHTAB_H
#define HASHTAB_H

#include "move.h"

extern int hash_table_hits;
extern int hash_table_misses;
extern int hash_table_collissions;

extern int initialize_hashtable(int size);
extern void destroy_hashtable(void);
extern void empty_hashtable(void);
extern void inc_hashtable_horizon(void);
extern int store_hashtable(unsigned int key1, unsigned int key2, int lower, int upper, int horizon, MOVE move);
extern int retrieve_hashtable(unsigned int key1, unsigned int key2, int *lower, int *upper, int *horizon, MOVE *move);

#endif
