/* Integer type definitions */
#ifndef ITYPE_H
#define ITYPE_H

#include <ctype.h>
#include <stdint.h>

#ifndef uint8
   #ifdef uint8_t
   typedef unit8_t uint8;
   #else
   /* Hope that unsigned char works as expected... */
   typedef unsigned char uint8;
   #endif
#endif

#ifndef uint16
   #ifdef uint16_t
   typedef unit16_t uint16;
   #else
   /* Hope that unsigned short works as expected... */
   typedef unsigned short uint16;
   #endif
#endif

#ifndef uint32
   #ifdef int32_t
   typedef uint32_t uint32;
   #else
   /* Hope that unsigned int works as expected... */
   typedef unsigned int uint32;
   #endif
#endif

#ifndef uint64
   #ifdef uint64_t
   typedef uint64_t uint64;
   #else
   /* Hope that unsigned long long works as expected... */
   typedef unsigned long long uint64;
   #endif
#endif

#endif
