#include "mtdf.h"
#include "alphabet.h"
#include "pieces.h"
#include "game.h"

int mtdf(GAMESTATE *game, const int guess, const int horizon_dist)
{
   int upper;
   int lower;
   int value;
   int beta;
   
   upper = CHECKMATE;
   lower = -CHECKMATE;
   value = guess;
   
   do {
      if (value == lower)
         beta = value+1;
      else
         beta = value;
      value = -alphabeta(game, beta-1, beta, horizon_dist, &game->pv);
      if (value<beta)
         upper = value;
      else
         lower = value;
   } while (upper > lower);
   
   return value;
}
